Bug 120590 - [UPDATE] net-mgmt/mrtg/
Summary: [UPDATE] net-mgmt/mrtg/
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-13 02:10 UTC by Felippe de Meirelles Motta
Modified: 2008-05-25 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (15.01 KB, patch)
2008-02-13 02:10 UTC, Felippe de Meirelles Motta
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felippe de Meirelles Motta 2008-02-13 02:10:01 UTC
- Updated to 2.16.0;
- Makefile cleanup

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-02-13 02:10:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-05-24 03:31:29 UTC
edwin       2008-05-24 02:31:24 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/mrtg        Makefile distinfo pkg-plist 
  Added files:
    net-mgmt/mrtg/files  pkg-install.in pkg-message.in 
  Removed files:
    net-mgmt/mrtg        pkg-install 
    net-mgmt/mrtg/files  patch-bin_mrtg 
  Log:
  [UPDATE] net-mgmt/mrtg to 2.16.0
  
          - Updated to 2.16.0;
          - Makefile cleanup
  
  PR:             ports/120590
  Submitted by:   Felippe de Meirelles Motta <lippemail@gmail.com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.95      +59 -36    ports/net-mgmt/mrtg/Makefile
  1.60      +3 -3      ports/net-mgmt/mrtg/distinfo
  1.4       +0 -22     ports/net-mgmt/mrtg/files/patch-bin_mrtg (dead)
  1.1       +35 -0     ports/net-mgmt/mrtg/files/pkg-install.in (new)
  1.1       +8 -0      ports/net-mgmt/mrtg/files/pkg-message.in (new)
  1.2       +0 -49     ports/net-mgmt/mrtg/pkg-install (dead)
  1.24      +55 -50    ports/net-mgmt/mrtg/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Edwin Groothuis freebsd_committer 2008-05-24 03:31:33 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 Alexander Logvinov 2008-05-25 15:36:06 UTC
 This commit breaks rc.subr script:

# /usr/local/etc/rc.d/mrtg_daemon restart
/usr/local/etc/rc.d/mrtg_daemon: WARNING: $command_interpreter %%PERL%% != /usr/local/bin/perl
/usr/local/etc/rc.d/mrtg_daemon: WARNING: $command_interpreter %%PERL%% != /usr/local/bin/perl
Stopping mrtg_daemon.
Starting mrtg_daemon.
Daemonizing MRTG ...
 
 Fix this by returning PERL in SUB_LIST 
 BTW, ETCDIR already in SUB_LIST
   
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/net-mgmt/mrtg/Makefile,v
retrieving revision 1.95
diff -u -r1.95 Makefile
--- Makefile	24 May 2008 02:31:24 -0000	1.95
+++ Makefile	25 May 2008 14:27:45 -0000
@@ -33,7 +33,7 @@
 
 USE_RC_SUBR=	mrtg_daemon.sh
 SUB_FILES=	pkg-install pkg-message
-SUB_LIST=	ETCDIR=${ETCDIR} \
+SUB_LIST=	PERL=${PERL} \
 		MRTG_USER=${MRTG_USER} \
 		MRTG_GROUP=${MRTG_GROUP} \
 		MRTG_UID=${MRTG_UID} \